/*!
 * Copyright 2019 EPAM Systems
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

.matrix {
  display: table;
  max-width: 50px;
  min-height: 35px;
  .squares-wrapper {
    display: table-cell;
    vertical-align: middle;
    .square {
      float: left;
      width: 4px;
      height: 4px;
      margin-right: 1px;
      margin-bottom: 1px;
      background-color: $COLOR--booger;
      &.most-failed {
        background-color: $COLOR--tealish;
      }
      &.passed {
        background-color: $COLOR--passed;
      }
      &.failed {
        background-color: $COLOR--failed;
      }
      &.skipped {
        background-color: $COLOR--skipped;
      }
      &.untested {
        background-color: $COLOR--untested;
      }
      &.running {
        background-color: $COLOR--running;
      }
    }
  }
}
